#search_categories input{
    width: 10px;
    height: 10px;
    margin: 0;
    position: absolute;
    visibility: hidden;
}
#search_categories label{
    text-align: center;
    background-color: #171717;
    border: #7a7a7a 1px solid;
    width: 100px;
    color: white;
    padding: 5px 10px;
    border-radius: 10px;
    margin: 10px;
    font-size: 14px;
    display: block;
    user-select: none;
}
#search_categories label:hover{
    background-color: #383838;
}
#search_categories{
    display: flex;
    justify-content: center;
    max-width: 1000px;
    width: 100%;
    padding: 10px 0 20px;
    overflow: auto;
    max-height: 150px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0 auto;
}



.my-artwork-items{
    margin: -20px auto 0;
    max-width: 1100px;
    max-height: 430px;
    overflow: auto;
    border-radius: 20px;
    border: 1px solid #009097;
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 0 10px 20px 10px;
}
.hidden{
    display: none;
}
.bi-heart-fill{
    color: red;
}
.unique_artwork, .add-item{
    background-color: #2c2c2c;
    color: #ffffff; /* Couleur du texte pour la question */
    border-radius: 10px;
    width: 100% ;
    min-height: 150px;
    margin: 20px 0 0 0;
    flex: 0 0 calc(25% - 20px);
    display: flex;
    justify-content: center; /* Centre les éléments horizontalement */
    align-items: center; /* Pour centrer verticalement */
}
.button-network{
    display: flex;
    justify-content: center; /* Centre les éléments horizontalement */
    align-items: center; /* Pour centrer verticalement */
}
#network_form_submit{
    margin: 20px auto 0;
    padding:  3px 30px;
    font-size: 16px;
    border-radius: 8px;
    border: solid 1px black;
}
#network_form_submit:hover {
    box-shadow: 0 0 10px 3px rgba(66, 254, 255, 0.6);
    background-color: #e0e0e0;
}
input:focus, textarea:focus, button:focus{
    outline: none;
    box-shadow: 0 0 10px 3px rgba(66, 254, 255, 0.6);
}
.count-like{
    position: relative;
    top:-2px;
}
.favorite-text-content, .artist-profil-text-content{
    padding: 0 20px;
}
.not-like-artwork-text p, .not-network p, .not-biograhpy p{
    border: 1px solid #009097;
    border-radius: 10px;
    box-shadow: 0 0 10px 3px rgba(66, 254, 255, 0.6);
    max-width: 500px;
    width: 100%;
    margin: 20px auto;
    text-align: center;
    padding: 10px;
}
.unique_artwork{
    background: none;
}
.title-next-to-image{
    font-size: 24px;
    margin: 5px 0 20px;
    color:#fff;
}
.add-item{
    max-width: 250px;
    width: 30%;
    min-width: 150px;
    min-height: 100px;
    margin: 30px auto 0;
}
.add-item:hover{
    color: #42FEFF;
    background-color: #3d3d3d; /* Couleur de fond pour la question */
    border: 1px solid #009097;
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
    cursor: pointer;
}

.bi-plus-circle{
    font-size: 48px;
}
.add-network {
    background-color: #2c2c2c;
    max-height: 80px;
    min-width: 120px;
    border-radius: 10px;
}
.add-network:hover{
    border: 1px solid #009097;
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
}
.circle-network{
    font-size: 42px;
}

.back-page{
    padding: 10px;
    font-size: 25px;
}
.back-page-container{
    width: 50px;
    background-color: #000;
    border-radius: 15px;
    border: 1px solid #009097;
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
    margin: 0 auto;
}
h2{
    margin-bottom: 0;
}

/*body.lightbox-open {*/
/*    overflow: hidden;*/
/*}*/

.artwork-container{
padding: 40px;
}


.artwork-item{
    width: fit-content;
    display: flex;
    overflow: hidden;
    justify-content: center;
    align-items: center;
}
.artwork-box img{
    height: 300px;
}


.lightbox {
    /*display: none;*/
    align-items: center;
    justify-content: center;
    /*position: fixed;*/
    /*top: 0;*/
    /*left: 0;*/
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    /*z-index: 997;*/
}
.lightbox-content {
    /*max-width: 80%; !* Ajustez la largeur selon vos besoins *!*/
    /*max-height: 80%; !* Ajustez la hauteur selon vos besoins *!*/
    background-color: #000000;
    overflow: auto;
    padding: 20px;
    border-radius: 10px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    border: 1px solid #009097;
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
}
.img-and-text{
    display: flex;
    align-items: center;
    flex-direction: column;
}

.lightbox img {
    max-width: 70%
}

.box-content {
    background-color: #000;
    color: #000;
    margin: 20px 0 0 0;
    width: 70%;
    box-sizing: border-box;
    border: 1px solid #009097;
    box-shadow: 0 0 10px 5px #009097;
    text-align: center;
    padding:10px;
    border-radius: 15px;
}
/*.close-lightbox {*/
/*    position: absolute;*/
/*    top: 10px;*/
/*    right: 10px;*/
/*    color: #fff;*/
/*    font-size: 32px;*/
/*    text-decoration: none;*/
/*}*/
.actions {
    display: flex;
    justify-content:space-between;
    align-items: center;
    padding: 0 40px;
    background-color: #000000;
    border: 1px solid rgb(33, 245, 255);
    border-radius: 10px;
    margin: 0 0 20px 0;

}
.action-item {
    padding: 5px;
}
.action-item i {
    font-size: 20px;
    cursor: pointer;
}
.validate-button {
    display: block;
    padding: 10px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
.validate-button:hover {
    background-color: #0056b3;
}
.like-button.liked .bi-hand-thumbs-up-fill,.bi-chat-text-fill  {
    transition: color 0.3s ease-in-out; /* Ajout de la transition à la couleur */
    color: #0296ff; /* Couleur rouge pour indiquer que l'utilisateur a aimé */
}
.favorite-button.favorite .bi-heart-fill{
    transition: color 0.3s ease-in-out; /* Ajout de la transition à la couleur */
    color: red;
}
.creator-name{
    font-size: 16px;
    text-align: right;
}
.name-social-network{
    font-weight: bold;
}
.comments-section{
    display: flex;
    width: 100%;
    max-height: 400px;
    overflow: auto;
    flex-direction: column;
    color: #000;
    margin: 0 0 20px 0;
    text-align: left;
    background-color: #efefef;
    padding: 20px 20px 0 20px;
    border: 1px solid #000;
    border-radius: 10px;
}
.nametag{
    font-weight: bold;
}
.artist-nametag{
    color: #009097;
}
.comment-list{
    list-style: none;
    padding: 0;
    margin: 0;
}
.comment-content{
    background-color: #ededed;
}
.comment-title{
    font-size: 18px;
    font-weight: bold;
    margin: 0 0 10px 0;
    text-align: center;
    background-color: #efefef;
    padding: 10px;
    border: 1px solid #000;
}
.comment-input, #comment_form div textarea, #comment_form div button {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}
.comment-input form{
    width: 100%;
}
#comment_form label{
    display: none;
}
.comment-input textarea{
    width: 100%;
    padding: 5px 20px;
    border-radius: 10px;
}
#comment_form_submit{
    /*width: 15%;*/
    margin: 20px auto 10px;
    border-radius: 10px;
    padding: 5px 40px;
    font-weight: bold;
    font-size: 18px !important;
}
#comment_form_submit:hover{
    background-color: #e1e1e1;
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
}
.comment-input textarea, #comment_form_submit{
    border: none;
    background-color: #efefef;
}
.comment-input textarea, #comment_form_submit, .comment{
    font-size: 14px;
}
.comment-input textarea:focus{
    outline: none;
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
}
.error_message{
    color: red;
}

.tag-box ul{
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    padding: 0;
    margin: 0 0 20px 0;
    justify-content: center;
}
.tag{
    margin-right: 5px;
    padding: 3px 8px;
    border-radius: 20px;
    border: 1px solid #009097;
    font-size: 12px;
    color: #fff;
    line-height: 2.3;
}
.tag:hover{
    background-color: #2c2c2c;
}
.title-profile-artist{
    margin: 0 0 40px 0;
    text-align: center;
}
.title-profile-artist-info{
    margin: 60px 0 40px 0;
    text-align: center;
}
.bio-box{
    padding:  0 30px;
}
.info-container{
    max-width: 800px;
    width: 100%;
    margin: 0 auto;
}

/* Ajoutez ces styles pour les écrans de taille plus petite */
@media (max-width: 1200px) { /* ou 1200 selon le résultat souhaité a tester*/
    .my-artwork-items{
        width: 90%;
    }
    .artwork-box img{
        height: 250px;
    }
    .lightbox img{
        max-width: 100%;
        max-height: 80vh; /* Fixez une hauteur maximale */
        width: auto; /* Ajustez la largeur en fonction du ratio */
        height: auto; /* Ajustez la hauteur en fonction du ratio */
    }
    .comment-content, .comment-input textarea{
        font-size: 12px;
    }
    .box-content {
        width: 100%; /* Passe à 100% de la largeur pour les écrans plus petits */
        padding: 10px;
        margin: 20px 0 0 0;
        font-size: 12px;
    }
}

/* biography parameter */

.biography-container {
    max-width: 1000px; /* La largeur maximale sera de 100% du conteneur parent */
    width: 100%; /* Vous pouvez ajuster ce pourcentage selon vos besoins */
    min-height: 400px;
    margin: 0 auto;
}
.bio-text{
    line-height: 1.8;
    padding: 40px;
    margin-bottom: 40px;
}
.biography-actions{
    width: 65%;
    margin: 0 auto;
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
}
.biography-actions .action-item i{
    font-size: 24px;
}
.bio-form{
    display: none;
    padding: 20px;
}
#biography_form{
    margin: 40px auto;
    max-width: 600px;
    width: 100%;
    padding:20px;
    border: 1px solid #1b6d85;
}
#biography_form label{
    display: block;
    text-align: center;
}
#biography_form textarea{
    margin: 20px 0 10px;
    width: 100%;
    height: 200px;
    font-size: 12px;
    font-family: Arial, sans-serif;
}
#biography_form_submit{
    display: flex;
    margin: 20px auto 0;
    padding:  3px 30px;
    font-size: 18px;
    border-radius: 8px;
    border: solid 1px black;
}
#biography_form_submit:hover{
    box-shadow: 0 0 10px 3px rgba(66, 254, 255, 0.6);
    background-color: #e0e0e0;
}

.network-form{
    margin: 20px 0 0 0;
    justify-content: center;
    display: none;
}
#network_form{
    width: 400px;
    padding:20px;
    border: 1px solid #1b6d85;
}
#network_form label{
    display: block;
    text-align: left;
}
#network_form input{
    width: 100%;
    margin: 10px 0;
    font-size: 12px;
}

/* network parameter */

.network-container{
    margin: 0 auto;
    max-width: 600px;
    width: 100%;
    height: 100%;
    text-align: center;
}
.action-network{
    width: 65%;
    margin: 0 auto;
    padding: 0 50px;
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
}
.action-network .action-item i{
    font-size: 18px;
}
.link-social-network{
    margin-bottom: 30px;
}
.box-network{
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 30px;
}

@media (max-width: 992px) {
    .artwork-box img{
        height: 200px;
    }
}

@media (max-width: 768px) {
    .artwork-box img{
        height: 180px;
    }
    .my-artwork-items{
        max-height:  100%;
    }
}


@media (max-width: 662px) {
    .artwork-box img{
        /* ajuste le format de l'image en version mobile*/
        /* l'object-fit, fait en sorte que l'image ne puisse pas être déformé, en contre parties les plus grand image (sur la largeur de ce cas) ce font couper sur les bord. l'option contain permet d'avoir l'image complète, mais selon la taille de l'image d'origine l'espace restant dans la boite ajoute une marge trop importante... */
        height: 300px;
        object-fit: cover;
    }
    .network-container {
        width: 90%; /* Ajustez selon vos besoins */
        padding: 0 10px; /* Ajustez selon vos besoins */
    }
    .artwork-container{
        padding: 10px;
    }
}